#ifndef __COM_H
#define __COM_H

 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
 #include <errno.h>
 #include <stdarg.h>
 #include <unistd.h>
 #include <time.h>
 #include <signal.h>
 #include <netdb.h>
 #include <arpa/inet.h>
 #include <sys/socket.h>
 #include <sys/wait.h>
 #include <sys/time.h>
 #include <netinet/in.h>

 #include <string.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>


#define BLOCK_SIZE 128 /* Velikost packetu pro prenos */

/* Operace */
typedef enum {PRINT, CANCEL, STOP, START, PRIORITY, DISPLAY} commands;

typedef struct PARAMETRY {
	unsigned short int port;/* Cislo portu            */
	char ip[16];            /* IP adresa serveru      */
	char filename[256];     /* Nazev souboru pro tisk */
	int userid;             /* ID uzivatele           */
	unsigned int job;       /* cislo tiskove ulohy    */
	char username[64];      /* login uzivatele        */
	commands todo;	        /* operace k vykonani     */
} parametry_spojeni;


int openfile(char *filename, int flags);
char *hostnamefromaddr(char *ip_adresa);
char *print_cmd(commands prikaz);
int socketset(struct sockaddr_in *adresa,const parametry_spojeni *spoj_info);
int connectto(struct sockaddr_in *adresa);
void print_options(parametry_spojeni *spoj_info);

#endif /* __COM_H */
